<?php
/**
 * Metadata version
 */
$sMetadataVersion = '2.0';

/**
 * Module information
 */
$aModule = array(
	'id'           => 'sit_multifilter',
	'title'        => 'SIT-Multifilter',
	'description'  => 'Erweiterter Filter auf Artikellisten, Suchergebnisse und Hersteller',
	'thumbnail'    => '',
	'version'      => '4.6.14',
	'email'		   => 'bestellung@shopmodul24.de',
	'url'		   => 'https://www.shopmodul24.de/',
	'author'       => 'Schwinkendorf Service GmbH',
    'extend'       => array(
		\OxidEsales\Eshop\Core\ViewConfig::class 								=> SIT\SITMultifilter\Core\sit_multifilter_oxviewconfig::class,
    	\OxidEsales\Eshop\Core\SeoDecoder::class								=> SIT\SITMultifilter\Core\sit_multifilter_oxseodecoder::class,	
		\OxidEsales\Eshop\Application\Controller\ArticleListController::class	=> SIT\SITMultifilter\Application\Controller\sit_multifilter_alist::class,	
    	\OxidEsales\Eshop\Application\Model\Search::class						=> SIT\SITMultifilter\Application\Model\sit_multifilter_oxsearch::class,
		\OxidEsales\Eshop\Application\Model\ManufacturerList::class				=> SIT\SITMultifilter\Application\Model\sit_multifilter_manufacturerlist::class,
    ),
    'blocks' => array(
		array('template' => 'layout/sidebar.tpl', 'block'=>'sidebar_categoriestree', 	'file'=>'Application/views/blocks/sit_filter_sidebar.tpl'),
    	array('template' => 'page/list/list.tpl', 'block'=>'page_list_listbody', 		'file'=>'Application/views/blocks/sit_filter_sidebar.tpl'),
    	array('template' => 'layout/base.tpl',    'block'=>'head_meta_robots', 			'file'=>'Application/views/blocks/sit_filter_meta_robots.tpl'),
    	array('template' => 'layout/base.tpl',    'block'=>'head_link_canonical', 		'file'=>'Application/views/blocks/sit_filter_meta_canonical.tpl'),
    ),
    'controllers' => array(			
        'sit_multifilter_loader'        => SIT\SITMultifilter\Application\Controller\sit_multifilter_loader::class,
        'sit_module_framework_mf' 		=> SIT\SITMultifilter\Application\Controller\Admin\sit_module_framework_mf::class,
        'sit_module_framework_shop_mf'  => SIT\SITMultifilter\Application\Controller\Admin\sit_module_framework_shop_mf::class,
    ),
    'templates'		=> array (
    	'sit_multifilter_loader.tpl' 	    => 'sit/sit_multifilter/Application/views/tpl/sit_multifilter_loader.tpl',
        'sit_module_framework_mf.tpl' 		=> 'sit/sit_multifilter/Application/views/admin/tpl/sit_module_framework_mf.tpl',
        'sit_module_framework_shop_mf.tpl'  => 'sit/sit_multifilter/Application/views/admin/tpl/sit_module_framework_shop_mf.tpl'
	),
);
